<?php include $app->getModuleRoot() . 'common/view/header.html.php';?>
<?php js::set('confirmDelete', $lang->oidcauth->confirmDelete);?>
<div id="mainMenu" class="clearfix">
  <div class="btn-toolbar pull-left">
    <?php
    $active = $browseType == 'all' ? 'btn-active-text' : '';
    $label  = "<span class='text'>{$lang->oidcauth->all}</span>";
    echo html::a(inlink('browse', "browseType=all"), $label, '', "class='btn btn-link $active'");
    ?>
  </div>
  <div class="btn-toolbar pull-right">
    <?php
    if(common::hasPriv('oidcauth', 'create'))
    {
        $actionLink = $this->createLink('oidcauth', 'create');
        echo html::a($actionLink, "<i class='icon icon-plus'></i> {$lang->oidcauth->create}", '', "class='btn btn-primary'");
    }
    ?>
  </div>
</div>
<div id="mainContent" class="main-row">
  <?php if(empty($appList)):?>
  <div class="table-empty-tip">
    <p>
      <span class="text-muted"><?php echo $lang->noData;?></span>
      <?php if(common::hasPriv('oidcauth', 'create')):?>
      <?php echo html::a($this->createLink('oidcauth', 'create'), "<i class='icon icon-plus'></i> " . $lang->oidcauth->create, '', "class='btn btn-info'");?>
      <?php endif;?>
    </p>
  </div>
  <?php else:?>
  <div class="main-col">
    <form class="main-table" data-ride="table" method="post" id="requestForm">
      <table class="table has-sort-head table-fix" id='oidcauthList'>
        <thead>
          <tr>
            <th class='w-30px'><?php echo $lang->idAB;?></th>
            <th class='w-60px'><?php echo $lang->oidcauth->appID;?></th>
            <th class='w-80px'><?php echo $lang->oidcauth->appName;?></th>
            <th class='w-120px'><?php echo $lang->oidcauth->homePageURL;?></th>
            <th class='w-40px'><?php echo $lang->oidcauth->register;?></th>
            <th class='w-40px'><?php echo $lang->oidcauth->status;?></th>
            <th class='w-60px'><?php echo $lang->oidcauth->createdBy;?></th>
            <th class='w-80px'><?php echo $lang->oidcauth->createdDate;?></th>
            <th class='w-40px'><?php echo $lang->actions;?></th>
          </tr>
        </thead>
        <tbody>
          <?php foreach($appList as $item):?>
          <tr>
            <td><?php echo $item->id;?></td>
            <td><?php echo $item->appID;?></td>
            <td><?php echo $item->appName;?></td>
            <td class="text-ellipsis" title="<?php echo $item->homePageURL;?>"><?php echo $item->homePageURL;?></td>
            <td><?php echo zget($lang->oidcauth->registerList, $item->register, $item->register);?></td>
            <td><?php echo zget($lang->oidcauth->statusList, $item->status, $item->status);?></td>
            <td><?php echo zget($users, $item->createdBy, $item->createdBy);?></td>
            <td><?php echo $item->createdDate;?></td>
            <td class='c-actions'>
              <?php
              common::printIcon('oidcauth', 'view', "id=$item->id", '', 'list', 'eye', '', 'iframe');
              common::printIcon('oidcauth', 'log', "id=$item->clientID", '', 'list', 'file-text', '', 'iframe');
              common::printIcon('oidcauth', 'edit', "id=$item->id", '', 'list');
              if(common::hasPriv('oidcauth', 'delete'))
              {
                  $deleteURL = $this->createLink('oidcauth', 'delete', "id=$item->id");
                  echo html::a("javascript:ajaxDelete(\"$deleteURL\", \"oidcauthList\", confirmDelete)", '<i class="icon-trash"></i>', '', "title='{$lang->oidcauth->delete}' class='btn'");
              }
              ?>
            </td>
          </tr>
          <?php endforeach;?>
        </tbody>
      </table>
    </form>
    <div class='table-footer'><?php echo $pager->show('right', 'pagerjs');?></div>
  </div>
  <?php endif;?>
</div>
<?php include $app->getModuleRoot() . 'common/view/footer.html.php';?>
